Package picard.analysis.artifacts

# Class SequencingArtifactMetrics.PreAdapterDetailMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.artifacts.SequencingArtifactMetrics.PreAdapterDetailMetrics

Enclosing class:
  SequencingArtifactMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class SequencingArtifactMetrics.PreAdapterDetailMetrics extends htsjdk.samtools.metrics.MetricBase
Pre-adapter artifacts broken down by context.

## Field Summary

Fields
Modifier and Type
Field
Description
`char`
`ALT_BASE`
The (upper-case) alternative base that is called as a result of DNA damage.
`long`
`CON_ALT_BASES`
The number of REF_BASE:ALT_BASE alignments having a read number and orientation that refutes the presence of this artifact.
`long`
`CON_REF_BASES`
The number of REF_BASE:REF_BASE alignments having a read number and orientation that refutes the presence of this artifact.
`String`
`CONTEXT`
The sequence context to which the analysis is constrained.
`double`
`ERROR_RATE`
The estimated error rate due to this artifact.
`String`
`LIBRARY`
The name of the library being assayed.
`long`
`PRO_ALT_BASES`
The number of REF_BASE:ALT_BASE alignments having a read number and orientation that supports the presence of this artifact.
`long`
`PRO_REF_BASES`
The number of REF_BASE:REF_BASE alignments having a read number and orientation that supports the presence of this artifact.
`double`
`QSCORE`
The Phred-scaled quality score of the artifact, calculated as -10 * log10(ERROR_RATE).
`char`
`REF_BASE`
The (upper-case) original base on the reference strand.
`String`
`SAMPLE_ALIAS`
The name of the sample being assayed.

## Constructor Summary

Constructors
Constructor
Description
`PreAdapterDetailMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedStatistics()`
Calculate the error rate given the raw counts.
`int`
`compareTo(SequencingArtifactMetrics.PreAdapterDetailMetrics o)`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SAMPLE_ALIAS

public String SAMPLE_ALIAS
The name of the sample being assayed.

### LIBRARY

public String LIBRARY
The name of the library being assayed.

### REF_BASE

public char REF_BASE
The (upper-case) original base on the reference strand.

### ALT_BASE

public char ALT_BASE
The (upper-case) alternative base that is called as a result of DNA damage.

### CONTEXT

public String CONTEXT
The sequence context to which the analysis is constrained.

### PRO_REF_BASES

public long PRO_REF_BASES
The number of REF_BASE:REF_BASE alignments having a read number and orientation that supports the presence of this artifact.

### PRO_ALT_BASES

public long PRO_ALT_BASES
The number of REF_BASE:ALT_BASE alignments having a read number and orientation that supports the presence of this artifact.

### CON_REF_BASES

public long CON_REF_BASES
The number of REF_BASE:REF_BASE alignments having a read number and orientation that refutes the presence of this artifact.

### CON_ALT_BASES

public long CON_ALT_BASES
The number of REF_BASE:ALT_BASE alignments having a read number and orientation that refutes the presence of this artifact.

### ERROR_RATE

public double ERROR_RATE
The estimated error rate due to this artifact. Calculated as max(1e-10, (PRO_ALT_BASES - CON_ALT_BASES) / (PRO_ALT_BASES + PRO_REF_BASES + CON_ALT_BASES + CON_REF_BASES)).

### QSCORE

public double QSCORE
The Phred-scaled quality score of the artifact, calculated as -10 * log10(ERROR_RATE).

## Constructor Details

### PreAdapterDetailMetrics

public PreAdapterDetailMetrics()

## Method Details

### calculateDerivedStatistics

public void calculateDerivedStatistics()
Calculate the error rate given the raw counts. Negative rates are set to MIN_ERROR.

### compareTo

public int compareTo(SequencingArtifactMetrics.PreAdapterDetailMetrics o)